# -o (set Output directory) switch

Specifies destination directory where files are to be extracted.

This switch can be used only with extraction commands.

#### Syntax

    -o{dir_path}

{dir_path}
  Specifies the destination directory path. It's not required that a path ends with a backslash.

#### Example

    7z x archive.zip -oc:\Doc

extracts all files from archive.zip archive to c:\Doc directory.

#### Commands that can be used with this switch

e (Extract), x (Extract with full paths)